This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 245727 - sometimes cant highlight contact
sometimes cant highlight contact
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 07:09 EDT by Jan Hutař
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 11:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contact with highlighted areas to click (12.96 KB, image/png)
2007-06-26 07:09 EDT, Jan Hutař
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 451280 None None None Never

  None (edit)
Description Jan Hutař 2007-06-26 07:09:27 EDT
Description of problem:
When I click on some concrete places on the inactive contact in address book, 
contact is not highlighted - but double click on the same place works as 
expected. Maybe this are two different issues (see attached screenshot):
  1) red part of contact - probably because of incorrect parsing of imported 
vcf: http://brownharrisstevens.com/bhsmedia/agents/Sample,%20Elizabeth%20Lee.vcf
  2) green part on the screenshot: when card is wide enough, this is part of 
the contact, that don't work for all my contacts


Version-Release number of selected component (if applicable):
evolution-2.10.2-2.fc7


How reproducible:
always


Steps to Reproduce:
1. import attached "Sample, Elizabeth Lee.vcf"
2. select another contact
3. by clicking on same parts of the contact as red/green ones are on the 
screenshot try to "select Elizabeth"


Actual results:
contact to Elizabeth can't be selected


Expected results:
contact to Elizabeth can be selected
Comment 1 Jan Hutař 2007-06-26 07:09:27 EDT
Created attachment 157878 [details]
contact with highlighted areas to click
Comment 2 Matthew Barnes 2007-06-26 11:16:13 EDT
Using evolution-2.11.3-5.fc8, I can reproduce the problem in the green area of
your screenshot.  But the red area shows up as "(null):" and is clickable.  The
"(null):" text looks like a bug to me (trying to print a NULL string).

My guess is the contact is rendered as a table, and the table cells are
responding to clicks while the table borders are not.

I'm going to move this upstream and have the Evolution authors look into the
problem.  Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=451280

Note You need to log in before you can comment on or make changes to this bug.